{% extends 'base.html' %}

{% if form.errors %}
<div class="alert alert-danger" role="alert">
    {{ form.non_field_errors }}
    {% if form.username.errors %}
    <p>{{ form.username.errors }}</p>
    {% endif %}
    <!-- add more fields here if needed -->
</div>
{% endif %}

{% block content %}
	<h1 class="text-center my-3">Register</h2>
	<div class="container">
		<div class="row">
			<div class="col-6 offset-3"> 
				<form method="POST">
					{% csrf_token %}

					<div class="mb-3">
						<label for="first_name" class="form-label">First Name:</label>
						<input 
						type="text" 
						class="form-control" 
						id="{{ form.first_name.id_for_label }}"
						name = "{{ form.first_name.name }}"
						placeholder="{{ form.first_name.label }}"
						maxlength="20"
						required 
						>
					</div>

					<div class="mb-3">
						<label for="last_name" class="form-label">Last Name:</label>
						<input 
						type="text" 
						class="form-control" 
						id="{{ form.last_name.id_for_label }}"
						name = "{{ form.last_name.name }}"
						placeholder="{{ form.last_name.label }}"
						maxlength="20"
						required 
						>
					</div>

					<div class="mb-3">
						<label for="email" class="form-label">Email:</label>
						<input 
						type="email" 
						class="form-control" 
						id="{{ form.email.id_for_label }}"
						name = "{{ form.email.name }}"
						placeholder="{{ form.email.label }}"
						maxlength="50"
						required 
						>
					</div>

					<div class="mb-3">
						<label for="username" class="form-label">Username:</label>
						<input 
						type="text" 
						class="form-control" 
						id="{{ form.username.id_for_label }}"
						name = "{{ form.username.name }}"
						placeholder="{{ form.username.label }}"
						maxlength="20"
						required 
						>
					</div>

					<div class="mb-3">
						<label for="password1" class="form-label">Password:</label>
						<input 
						type="password" 
						class="form-control" 
						id="{{ form.password1.id_for_label }}"
						name = "{{ form.password1.name }"
						placeholder="{{ form.password1.label }}"
						maxlength="20"
						required
						>
					</div>

					<div class="mb-3">
						<label for="password2" class="form-label">Confirm Password:</label>
						<input 
						type="password" 
						class="form-control" 
						id="{{ form.password2.id_for_label }}"
						name = "{{ form.password2.name }}"
						placeholder="{{ form.password2.label }}"
						maxlength="20"
						required
						>
					</div>

					<button type="submit" class="btn btn-primary text-center">Register</button>
				</form>
			</div>
		</div>
	</div>

{% endblock %}